commit 1dbf117ce5df08e3303f89c0af9e601b2cbd6163
Author: Szabolcs Nagy <szabolcs.nagy@arm.com>
Date:   Thu Jul 2 16:11:04 2020 +0100

    aarch64: Add missing ACLE support for PAC-RET
    
    Define the __ARM_FEATURE_PAC_DEFAULT feature test
    macro when PAC-RET branch protection is enabled.
    
    2020-07-13  Szabolcs Nagy  <szabolcs.nagy@arm.com>
    
    gcc/ChangeLog:
    
            * config/aarch64/aarch64-c.c (aarch64_update_cpp_builtins): Add
            __ARM_FEATURE_PAC_DEFAULT support.
    
    (cherry picked from commit a1faa8e2470b33e92f6274804bf7941fbb6e2d38)

diff --git a/gcc/config/aarch64/aarch64-c.c b/gcc/config/aarch64/aarch64-c.c
index fbcf1d95338..0c9cb2e4bfc 100644
--- a/gcc/config/aarch64/aarch64-c.c
+++ b/gcc/config/aarch64/aarch64-c.c
@@ -159,6 +159,15 @@ aarch64_update_cpp_builtins (cpp_reader *pfile)
 
   aarch64_def_or_undef (TARGET_RNG, "__ARM_FEATURE_RNG", pfile);
 
+  cpp_undef (pfile, "__ARM_FEATURE_PAC_DEFAULT");
+  if (aarch64_ra_sign_scope != AARCH64_FUNCTION_NONE)
+    {
+      int v = 1;
+      if (aarch64_ra_sign_scope == AARCH64_FUNCTION_ALL)
+	v |= 4;
+      builtin_define_with_int_value ("__ARM_FEATURE_PAC_DEFAULT", v);
+    }
+
   /* Not for ACLE, but required to keep "float.h" correct if we switch
      target between implementations that do or do not support ARMv8.2-A
      16-bit floating-point extensions.  */

